
%==========================================================================
% Calculate mean main + vert velocity per velocity-step, comp 1 
%==========================================================================

EMS_main_1_ave1_01 = [
ones([steps_01(2)-steps_01(1)    ,1]) .* 0;
ones([steps_01(3)-steps_01(2)    ,1]) .* 0;
ones([steps_01(4)-steps_01(3)    ,1]) .* 0;
ones([steps_01(5)-steps_01(4)    ,1]) .* 0;
ones([steps_01(6)-steps_01(5)    ,1]) .* mean(EMS_main_1_cal_01(steps_01(5) :steps_01(6) ));
ones([steps_01(7)-steps_01(6)    ,1]) .* mean(EMS_main_1_cal_01(steps_01(6) :steps_01(7) ));
ones([steps_01(8)-steps_01(7)    ,1]) .* mean(EMS_main_1_cal_01(steps_01(7) :steps_01(8) ));
ones([steps_01(9)-steps_01(8)    ,1]) .* mean(EMS_main_1_cal_01(steps_01(8) :steps_01(9) ));
ones([steps_01(10)-steps_01(9)   ,1]) .* mean(EMS_main_1_cal_01(steps_01(9) :steps_01(10)));
ones([steps_01(11)-steps_01(10)  ,1]) .* mean(EMS_main_1_cal_01(steps_01(10):steps_01(11)));
ones([steps_01(12)-steps_01(11)  ,1]) .* mean(EMS_main_1_cal_01(steps_01(11):steps_01(12)));
ones([steps_01(13)-steps_01(12)  ,1]) .* mean(EMS_main_1_cal_01(steps_01(12):steps_01(13)));
ones([steps_01(14)-steps_01(13)+1,1]) .* mean(EMS_main_1_cal_01(steps_01(13):steps_01(14)));
];

EMS_main_2_ave1_01 = [
ones([steps_01(2)-steps_01(1)  ,1])   .* mean(EMS_main_2_cal_01(steps_01(1) :steps_01(2) ));
ones([steps_01(3)-steps_01(2)  ,1])   .* mean(EMS_main_2_cal_01(steps_01(2) :steps_01(3) ));
ones([steps_01(4)-steps_01(3)  ,1])   .* mean(EMS_main_2_cal_01(steps_01(3) :steps_01(4) ));
ones([steps_01(5)-steps_01(4)  ,1])   .* mean(EMS_main_2_cal_01(steps_01(4) :steps_01(5) ));
ones([steps_01(6)-steps_01(5)  ,1])   .* mean(EMS_main_2_cal_01(steps_01(5) :steps_01(6) ));
ones([steps_01(7)-steps_01(6)  ,1])   .* mean(EMS_main_2_cal_01(steps_01(6) :steps_01(7) ));
ones([steps_01(8)-steps_01(7)  ,1])   .* mean(EMS_main_2_cal_01(steps_01(7) :steps_01(8) ));
ones([steps_01(9)-steps_01(8)  ,1])   .* mean(EMS_main_2_cal_01(steps_01(8) :steps_01(9) ));
ones([steps_01(10)-steps_01(9) ,1])   .* mean(EMS_main_2_cal_01(steps_01(9) :steps_01(10)));
ones([steps_01(11)-steps_01(10),1])   .* mean(EMS_main_2_cal_01(steps_01(10):steps_01(11)));
ones([steps_01(12)-steps_01(11),1])   .* mean(EMS_main_2_cal_01(steps_01(11):steps_01(12)));
ones([steps_01(13)-steps_01(12),1])   .* mean(EMS_main_2_cal_01(steps_01(12):steps_01(13)));
ones([steps_01(14)-steps_01(13)+1,1]) .* mean(EMS_main_2_cal_01(steps_01(13):steps_01(14)));
];

%==========================================================================

EMS_vert_1_ave1_01 = [
ones([steps_01(2)-steps_01(1)  ,1])   .* 0;
ones([steps_01(3)-steps_01(2)  ,1])   .* 0;
ones([steps_01(4)-steps_01(3)  ,1])   .* 0;
ones([steps_01(5)-steps_01(4)  ,1])   .* 0;
ones([steps_01(6)-steps_01(5)  ,1])   .* mean(EMS_vert_1_cal_01(steps_01(5) :steps_01(6) ));
ones([steps_01(7)-steps_01(6)  ,1])   .* mean(EMS_vert_1_cal_01(steps_01(6) :steps_01(7) ));
ones([steps_01(8)-steps_01(7)  ,1])   .* mean(EMS_vert_1_cal_01(steps_01(7) :steps_01(8) ));
ones([steps_01(9)-steps_01(8)  ,1])   .* mean(EMS_vert_1_cal_01(steps_01(8) :steps_01(9) ));
ones([steps_01(10)-steps_01(9) ,1])   .* mean(EMS_vert_1_cal_01(steps_01(9) :steps_01(10)));
ones([steps_01(11)-steps_01(10),1])   .* mean(EMS_vert_1_cal_01(steps_01(10):steps_01(11)));
ones([steps_01(12)-steps_01(11),1])   .* mean(EMS_vert_1_cal_01(steps_01(11):steps_01(12)));
ones([steps_01(13)-steps_01(12),1])   .* mean(EMS_vert_1_cal_01(steps_01(12):steps_01(13)));
ones([steps_01(14)-steps_01(13)+1,1]) .* mean(EMS_vert_1_cal_01(steps_01(13):steps_01(14)));
];

EMS_vert_2_ave1_01 = [
ones([steps_01(2)-steps_01(1)  ,1])   .* mean(EMS_vert_2_cal_01(steps_01(1) :steps_01(2) ));
ones([steps_01(3)-steps_01(2)  ,1])   .* mean(EMS_vert_2_cal_01(steps_01(2) :steps_01(3) ));
ones([steps_01(4)-steps_01(3)  ,1])   .* mean(EMS_vert_2_cal_01(steps_01(3) :steps_01(4) ));
ones([steps_01(5)-steps_01(4)  ,1])   .* mean(EMS_vert_2_cal_01(steps_01(4) :steps_01(5) ));
ones([steps_01(6)-steps_01(5)  ,1])   .* mean(EMS_vert_2_cal_01(steps_01(5) :steps_01(6) ));
ones([steps_01(7)-steps_01(6)  ,1])   .* mean(EMS_vert_2_cal_01(steps_01(6) :steps_01(7) ));
ones([steps_01(8)-steps_01(7)  ,1])   .* mean(EMS_vert_2_cal_01(steps_01(7) :steps_01(8) ));
ones([steps_01(9)-steps_01(8)  ,1])   .* mean(EMS_vert_2_cal_01(steps_01(8) :steps_01(9) ));
ones([steps_01(10)-steps_01(9) ,1])   .* mean(EMS_vert_2_cal_01(steps_01(9) :steps_01(10)));
ones([steps_01(11)-steps_01(10),1])   .* mean(EMS_vert_2_cal_01(steps_01(10):steps_01(11)));
ones([steps_01(12)-steps_01(11),1])   .* mean(EMS_vert_2_cal_01(steps_01(11):steps_01(12)));
ones([steps_01(13)-steps_01(12),1])   .* mean(EMS_vert_2_cal_01(steps_01(12):steps_01(13)));
ones([steps_01(14)-steps_01(13)+1,1]) .* mean(EMS_vert_2_cal_01(steps_01(13):steps_01(14)));
];




%==========================================================================
% Calculate mean main + vert velocity per velocity-step, comp 2 
%==========================================================================

EMS_main_1_ave1_02 = [
ones([steps_02(2)-steps_02(1)    ,1]) .* mean(EMS_main_1_cal_02(steps_02(1) :steps_02(2) ));
ones([steps_02(3)-steps_02(2)    ,1]) .* mean(EMS_main_1_cal_02(steps_02(2) :steps_02(3) ));
ones([steps_02(4)-steps_02(3)    ,1]) .* mean(EMS_main_1_cal_02(steps_02(3) :steps_02(4) ));
ones([steps_02(5)-steps_02(4)    ,1]) .* mean(EMS_main_1_cal_02(steps_02(4) :steps_02(5) ));
ones([steps_02(6)-steps_02(5)    ,1]) .* mean(EMS_main_1_cal_02(steps_02(5) :steps_02(6) ));
ones([steps_02(7)-steps_02(6)    ,1]) .* mean(EMS_main_1_cal_02(steps_02(6) :steps_02(7) ));
ones([steps_02(8)-steps_02(7)    ,1]) .* mean(EMS_main_1_cal_02(steps_02(7) :steps_02(8) ));
ones([steps_02(9)-steps_02(8)    ,1]) .* mean(EMS_main_1_cal_02(steps_02(8) :steps_02(9) ));
ones([steps_02(10)-steps_02(9)   ,1]) .* mean(EMS_main_1_cal_02(steps_02(9) :steps_02(10)));
ones([steps_02(11)-steps_02(10)  ,1]) .* mean(EMS_main_1_cal_02(steps_02(10):steps_02(11)));
ones([steps_02(12)-steps_02(11)  ,1]) .* mean(EMS_main_1_cal_02(steps_02(11):steps_02(12)));
ones([steps_02(13)-steps_02(12)  ,1]) .* mean(EMS_main_1_cal_02(steps_02(12):steps_02(13)));
ones([steps_02(14)-steps_02(13)+1,1]) .* mean(EMS_main_1_cal_02(steps_02(13):steps_02(14)));
];

EMS_main_2_ave1_02 = [
ones([steps_02(2)-steps_02(1)  ,1])   .* mean(EMS_main_2_cal_02(steps_02(1) :steps_02(2) ));
ones([steps_02(3)-steps_02(2)  ,1])   .* mean(EMS_main_2_cal_02(steps_02(2) :steps_02(3) ));
ones([steps_02(4)-steps_02(3)  ,1])   .* mean(EMS_main_2_cal_02(steps_02(3) :steps_02(4) ));
ones([steps_02(5)-steps_02(4)  ,1])   .* mean(EMS_main_2_cal_02(steps_02(4) :steps_02(5) ));
ones([steps_02(6)-steps_02(5)  ,1])   .* mean(EMS_main_2_cal_02(steps_02(5) :steps_02(6) ));
ones([steps_02(7)-steps_02(6)  ,1])   .* mean(EMS_main_2_cal_02(steps_02(6) :steps_02(7) ));
ones([steps_02(8)-steps_02(7)  ,1])   .* mean(EMS_main_2_cal_02(steps_02(7) :steps_02(8) ));
ones([steps_02(9)-steps_02(8)  ,1])   .* mean(EMS_main_2_cal_02(steps_02(8) :steps_02(9) ));
ones([steps_02(10)-steps_02(9) ,1])   .* mean(EMS_main_2_cal_02(steps_02(9) :steps_02(10)));
ones([steps_02(11)-steps_02(10),1])   .* mean(EMS_main_2_cal_02(steps_02(10):steps_02(11)));
ones([steps_02(12)-steps_02(11),1])   .* mean(EMS_main_2_cal_02(steps_02(11):steps_02(12)));
ones([steps_02(13)-steps_02(12),1])   .* mean(EMS_main_2_cal_02(steps_02(12):steps_02(13)));
ones([steps_02(14)-steps_02(13)+1,1]) .* mean(EMS_main_2_cal_02(steps_02(13):steps_02(14)));
];

%==========================================================================

EMS_vert_2_ave1_02 = [
ones([steps_02(2)-steps_02(1)  ,1])   .* mean(EMS_vert_2_cal_02(steps_02(1) :steps_02(2) ));
ones([steps_02(3)-steps_02(2)  ,1])   .* mean(EMS_vert_2_cal_02(steps_02(2) :steps_02(3) ));
ones([steps_02(4)-steps_02(3)  ,1])   .* mean(EMS_vert_2_cal_02(steps_02(3) :steps_02(4) ));
ones([steps_02(5)-steps_02(4)  ,1])   .* mean(EMS_vert_2_cal_02(steps_02(4) :steps_02(5) ));
ones([steps_02(6)-steps_02(5)  ,1])   .* mean(EMS_vert_2_cal_02(steps_02(5) :steps_02(6) ));
ones([steps_02(7)-steps_02(6)  ,1])   .* mean(EMS_vert_2_cal_02(steps_02(6) :steps_02(7) ));
ones([steps_02(8)-steps_02(7)  ,1])   .* mean(EMS_vert_2_cal_02(steps_02(7) :steps_02(8) ));
ones([steps_02(9)-steps_02(8)  ,1])   .* mean(EMS_vert_2_cal_02(steps_02(8) :steps_02(9) ));
ones([steps_02(10)-steps_02(9) ,1])   .* mean(EMS_vert_2_cal_02(steps_02(9) :steps_02(10)));
ones([steps_02(11)-steps_02(10),1])   .* mean(EMS_vert_2_cal_02(steps_02(10):steps_02(11)));
ones([steps_02(12)-steps_02(11),1])   .* mean(EMS_vert_2_cal_02(steps_02(11):steps_02(12)));
ones([steps_02(13)-steps_02(12),1])   .* mean(EMS_vert_2_cal_02(steps_02(12):steps_02(13)));
ones([steps_02(14)-steps_02(13)+1,1]) .* mean(EMS_vert_2_cal_02(steps_02(13):steps_02(14)));
];



%==========================================================================
% Calculate mean main + vert velocity per velocity-step, comp 3 
%==========================================================================

EMS_main_1_ave1_03 = [
ones([steps_03(2)-steps_03(1)  ,1])   .* mean(EMS_main_1_cal_03(steps_03(1) :steps_03(2) ));
ones([steps_03(3)-steps_03(2)  ,1])   .* mean(EMS_main_1_cal_03(steps_03(2) :steps_03(3) ));
ones([steps_03(4)-steps_03(3)  ,1])   .* mean(EMS_main_1_cal_03(steps_03(3) :steps_03(4) ));
ones([steps_03(5)-steps_03(4)  ,1])   .* mean(EMS_main_1_cal_03(steps_03(4) :steps_03(5) ));
ones([steps_03(6)-steps_03(5)  ,1])   .* mean(EMS_main_1_cal_03(steps_03(5) :steps_03(6) ));
ones([steps_03(7)-steps_03(6)  ,1])   .* mean(EMS_main_1_cal_03(steps_03(6) :steps_03(7) ));
ones([steps_03(8)-steps_03(7)  ,1])   .* mean(EMS_main_1_cal_03(steps_03(7) :steps_03(8) ));
ones([steps_03(9)-steps_03(8)  ,1])   .* mean(EMS_main_1_cal_03(steps_03(8) :steps_03(9) ));
ones([steps_03(10)-steps_03(9) ,1])   .* mean(EMS_main_1_cal_03(steps_03(9) :steps_03(10)));
ones([steps_03(11)-steps_03(10),1])   .* mean(EMS_main_1_cal_03(steps_03(10):steps_03(11)));
ones([steps_03(12)-steps_03(11),1])   .* mean(EMS_main_1_cal_03(steps_03(11):steps_03(12)));
ones([steps_03(13)-steps_03(12),1])   .* mean(EMS_main_1_cal_03(steps_03(12):steps_03(13)));
ones([steps_03(14)-steps_03(13)+1,1]) .* mean(EMS_main_1_cal_03(steps_03(13):steps_03(14)));
];

EMS_main_2_ave1_03 = [
ones([steps_03(2)-steps_03(1)  ,1])   .* mean(EMS_main_2_cal_03(steps_03(1) :steps_03(2) ));
ones([steps_03(3)-steps_03(2)  ,1])   .* mean(EMS_main_2_cal_03(steps_03(2) :steps_03(3) ));
ones([steps_03(4)-steps_03(3)  ,1])   .* mean(EMS_main_2_cal_03(steps_03(3) :steps_03(4) ));
ones([steps_03(5)-steps_03(4)  ,1])   .* mean(EMS_main_2_cal_03(steps_03(4) :steps_03(5) ));
ones([steps_03(6)-steps_03(5)  ,1])   .* mean(EMS_main_2_cal_03(steps_03(5) :steps_03(6) ));
ones([steps_03(7)-steps_03(6)  ,1])   .* mean(EMS_main_2_cal_03(steps_03(6) :steps_03(7) ));
ones([steps_03(8)-steps_03(7)  ,1])   .* mean(EMS_main_2_cal_03(steps_03(7) :steps_03(8) ));
ones([steps_03(9)-steps_03(8)  ,1])   .* mean(EMS_main_2_cal_03(steps_03(8) :steps_03(9) ));
ones([steps_03(10)-steps_03(9) ,1])   .* mean(EMS_main_2_cal_03(steps_03(9) :steps_03(10)));
ones([steps_03(11)-steps_03(10),1])   .* mean(EMS_main_2_cal_03(steps_03(10):steps_03(11)));
ones([steps_03(12)-steps_03(11),1])   .* mean(EMS_main_2_cal_03(steps_03(11):steps_03(12)));
ones([steps_03(13)-steps_03(12),1])   .* mean(EMS_main_2_cal_03(steps_03(12):steps_03(13)));
ones([steps_03(14)-steps_03(13)+1,1]) .* mean(EMS_main_2_cal_03(steps_03(13):steps_03(14)));
];

%==========================================================================

EMS_vert_2_ave1_03 = [
ones([steps_03(2)-steps_03(1)  ,1])   .* mean(EMS_vert_2_cal_03(steps_03(1) :steps_03(2) ));
ones([steps_03(3)-steps_03(2)  ,1])   .* mean(EMS_vert_2_cal_03(steps_03(2) :steps_03(3) ));
ones([steps_03(4)-steps_03(3)  ,1])   .* mean(EMS_vert_2_cal_03(steps_03(3) :steps_03(4) ));
ones([steps_03(5)-steps_03(4)  ,1])   .* mean(EMS_vert_2_cal_03(steps_03(4) :steps_03(5) ));
ones([steps_03(6)-steps_03(5)  ,1])   .* mean(EMS_vert_2_cal_03(steps_03(5) :steps_03(6) ));
ones([steps_03(7)-steps_03(6)  ,1])   .* mean(EMS_vert_2_cal_03(steps_03(6) :steps_03(7) ));
ones([steps_03(8)-steps_03(7)  ,1])   .* mean(EMS_vert_2_cal_03(steps_03(7) :steps_03(8) ));
ones([steps_03(9)-steps_03(8)  ,1])   .* mean(EMS_vert_2_cal_03(steps_03(8) :steps_03(9) ));
ones([steps_03(10)-steps_03(9) ,1])   .* mean(EMS_vert_2_cal_03(steps_03(9) :steps_03(10)));
ones([steps_03(11)-steps_03(10),1])   .* mean(EMS_vert_2_cal_03(steps_03(10):steps_03(11)));
ones([steps_03(12)-steps_03(11),1])   .* mean(EMS_vert_2_cal_03(steps_03(11):steps_03(12)));
ones([steps_03(13)-steps_03(12),1])   .* mean(EMS_vert_2_cal_03(steps_03(12):steps_03(13)));
ones([steps_03(14)-steps_03(13)+1,1]) .* mean(EMS_vert_2_cal_03(steps_03(13):steps_03(14)));
];



%==========================================================================
% Calculate bed shear stress per velocity-step
%==========================================================================

c_t         = 25;                       % [-]
rad_flume   = 1.85;                     % [m]
rho_w       = 1000;                     % [kg/m^3]

% Note: rot bottom is negative
u_star_01   = (EMS_main_2_ave1_01)./c_t; 
u_star_02   = (EMS_main_2_ave1_02)./c_t;
u_star_03   = (EMS_main_2_ave1_03)./c_t;

bss_01      = rho_w.*(u_star_01).^2;      % [Pa]
bss_02      = rho_w.*(u_star_02).^2;      % [Pa]
bss_03      = rho_w.*(u_star_03).^2;      % [Pa]
















