
%==========================================================================
% Composition 2
%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_02,rot_top_02,'-k')  ,hold on;
plot        (time_02,rot_bott_02,'--r'),hold on;
        
legend      (['Top lid'],['Bottom lid'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Rotational speed [rpm]','fontsize',10);
title       ('Comp. 2');
print       time_rotspeed_comp2_1 -dpng;

%==========================================================================
%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_02,pump1_02,'-k')  ,hold on;
plot        (time_02,pump2_02,'--r'),hold on;
        
legend      (['Pump 1'],['Pump 2'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Pump discharge [V]','fontsize',10);
title       ('Comp. 2');
print       time_pumpQ_comp2_1 -dpng;

%==========================================================================
%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_02,oslim1_02,'-k')  ,hold on;
plot        (time_02,oslim2_02,'--r'),hold on;
plot        (time_02,oslim3_02,'-.b'),hold on;
        
legend      (['Oslim 1'],['Oslim 2'],['Oslim 3'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Oslim output [V]','fontsize',10);
title       ('Comp. 2');
print       time_oslim_comp2_30_1 -dpng;

%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_02,oslim4_02,'-k')  ,hold on;
plot        (time_02,oslim6_02,'-.b'),hold on;
        
legend      (['Oslim 4'],['Oslim 6'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Oslim output [V]','fontsize',10);
title       ('Comp. 2');
print       time_oslim_comp2_2_1 -dpng;

%==========================================================================
%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_02,EMS_main_1_02,'-k')  ,hold on;
plot        (time_02,EMS_main_2_02,'--r')  ,hold on;
       
legend      (['EMS 1_{main}'],['EMS 2_{main}'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Main flow velocity EMS [V]','fontsize',10);
title       ('EMS main');
title       ('Comp. 2');
print       time_EMS_main_comp2_1 -dpng;

%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_02,EMS_vert_1_02,'-k'),hold on;
plot        (time_02,EMS_vert_2_02,'--r'),hold on;
        
legend      (['EMS 1_{vert}'],['EMS 2_{vert}'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Vertical velocity EMS [V]','fontsize',10);
title       ('EMS vertical');
title       ('Comp. 2');
print       time_EMS_vert_comp2_1 -dpng;







