
%==========================================================================
% Composition 1
%==========================================================================


%figure;
%set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
%            'papertype','A4','paperposition',[0 0 10 7]);      

%plot        (time_01,pump2_cal_01,'-k')  ,hold on;
%plot        (time_01,pump3_cal_01,'--r'),hold on;
        
%legend      (['Pump 2'],['Pump 3'],2);
%xlabel      ('Time [s]','fontsize',10);
%ylabel      ('Pump discharge [cm^{3}/s]','fontsize',10);
%title       ('Comp. 1');
%print       time_pumpQ_comp1_2 -dpng;


%==========================================================================
%==========================================================================


figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_01,oslim1_cal_01,'-k') ,hold on;
plot        (time_01,oslim2_cal_01,'--r'),hold on;
plot        (time_01,oslim3_cal_01,'-.b'),hold on;
        
%plot        (time_01,oslim4_cal_01,'-g')  ,hold on;
%plot        (time_01,oslim6_cal_01,'-.y'),hold on;

legend      (['Oslim 1'],['Oslim 2'],['Oslim 3'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Oslim output [g/l]','fontsize',10);
title       ('Comp. 1');
print       time_oslim_comp1_30_2 -dpng;

%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_01,oslim4_cal_01,'-k')  ,hold on;
plot        (time_01,oslim6_cal_01,'-.b'),hold on;
        
legend      (['Oslim 4'],['Oslim 6'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Oslim output [g/l]','fontsize',10);
title       ('Comp. 1');
print       time_oslim_comp1_2_2 -dpng;


%==========================================================================
%==========================================================================


figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_01,EMS_main_1_cal_01,'-k')  ,hold on;
plot        (time_01,EMS_main_2_cal_01,'--r')  ,hold on;
       
legend      (['EMS 1_{main}'],['EMS 2_{main}'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Main flow velocity EMS [m/s]','fontsize',10);
title       ('EMS main');
title       ('Comp. 1');
print       time_EMS_main_comp1_2 -dpng;

%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_01,EMS_vert_1_cal_01,'-k'),hold on;
plot        (time_01,EMS_vert_2_cal_01,'--r'),hold on;
        
legend      (['EMS 1_{vert}'],['EMS 2_{vert}'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Vertical velocity EMS [m/s]','fontsize',10);
title       ('EMS vertical');
title       ('Comp. 1');
print       time_EMS_vert_comp1_2 -dpng;




