
%==========================================================================
% Velocity steps EMS
%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_01,EMS_main_1_ave1_01,'-k','markerfacecolor','c'),hold on;
plot        (time_01,EMS_main_2_ave1_01,'--r','markerfacecolor','c'),hold on;

plot        (steps_01(1),[(-1:.01:1)],'-k'),hold on;
plot        (steps_01(2),[(-1:.01:1)],'-k'),hold on;
plot        (steps_01(3),[(-1:.01:1)],'-k'),hold on;
plot        (steps_01(4),[(-1:.01:1)],'-k'),hold on;
plot        (steps_01(5),[(-1:.01:1)],'-k'),hold on;
plot        (steps_01(6),[(-1:.01:1)],'-k'),hold on;
plot        (steps_01(7),[(-1:.01:1)],'-k'),hold on;
plot        (steps_01(8),[(-1:.01:1)],'-k'),hold on;
plot        (steps_01(9),[(-1:.01:1)],'-k'),hold on;
plot        (steps_01(10),[(-1:.01:1)],'-k'),hold on;
plot        (steps_01(11),[(-1:.01:1)],'-k'),hold on;
plot        (steps_01(12),[(-1:.01:1)],'-k'),hold on;
plot        (steps_01(13),[(-1:.01:1)],'-k'),hold on;
plot        (steps_01(14),[(-1:.01:1)],'-k'),hold on;

legend      (['EMS 1_{main}'],['EMS 2_{main}'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Main flow velocity EMS [m/s]','fontsize',10);
title       ('Comp. 1');
print       time_EMS_main_comp1_3 -dpng;

%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_01,EMS_vert_1_ave1_01,'-k','markerfacecolor','c'),hold on;
plot        (time_01,EMS_vert_2_ave1_01,'--r','markerfacecolor','c'),hold on;

plot        (steps_01(1),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_01(2),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_01(3),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_01(4),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_01(5),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_01(6),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_01(7),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_01(8),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_01(9),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_01(10),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_01(11),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_01(12),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_01(13),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_01(14),[(-0.1:.01:0.1)],'-k'),hold on;

legend      (['EMS 1_{vert}'],['EMS 2_{vert}'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Vertical flow velocity EMS [m/s]','fontsize',10);
title       ('Comp. 1');
print       time_EMS_vert_comp1_3 -dpng;
%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_02,EMS_main_1_ave1_02,'-k','markerfacecolor','c'),hold on;
plot        (time_02,EMS_main_2_ave1_02,'--r','markerfacecolor','c'),hold on;

plot        (steps_02(1),[(-1:.01:1)],'-k'),hold on;
plot        (steps_02(2),[(-1:.01:1)],'-k'),hold on;
plot        (steps_02(3),[(-1:.01:1)],'-k'),hold on;
plot        (steps_02(4),[(-1:.01:1)],'-k'),hold on;
plot        (steps_02(5),[(-1:.01:1)],'-k'),hold on;
plot        (steps_02(6),[(-1:.01:1)],'-k'),hold on;
plot        (steps_02(7),[(-1:.01:1)],'-k'),hold on;
plot        (steps_02(8),[(-1:.01:1)],'-k'),hold on;
plot        (steps_02(9),[(-1:.01:1)],'-k'),hold on;
plot        (steps_02(10),[(-1:.01:1)],'-k'),hold on;
plot        (steps_02(11),[(-1:.01:1)],'-k'),hold on;
plot        (steps_02(12),[(-1:.01:1)],'-k'),hold on;
plot        (steps_02(13),[(-1:.01:1)],'-k'),hold on;
plot        (steps_02(14),[(-1:.01:1)],'-k'),hold on;

legend      (['EMS 1_{main}'],['EMS 2_{main}'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Main flow velocity EMS [m/s]','fontsize',10);
title       ('Comp. 2');
print       time_EMS_main_comp2_3 -dpng;

%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

%plot        (time_02,EMS_vert_1_ave1_02,'-k','markerfacecolor','c'),hold on;
plot        (time_02,EMS_vert_2_ave1_02,'--r','markerfacecolor','c'),hold on;

plot        (steps_02(1),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_02(2),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_02(3),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_02(4),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_02(5),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_02(6),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_02(7),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_02(8),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_02(9),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_02(10),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_02(11),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_02(12),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_02(13),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_02(14),[(-0.1:.01:0.1)],'-k'),hold on;

legend      (['EMS 2_{vert}'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Vertical flow velocity EMS [m/s]','fontsize',10);
title       ('Comp. 2');
print       time_EMS_vert_comp2_3 -dpng;

%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_03,EMS_main_1_ave1_03,'-k' ,'markerfacecolor','c'),hold on;
plot        (time_03,EMS_main_2_ave1_03,'--r','markerfacecolor','c'),hold on;

plot        (steps_03(1),[(-1:.01:1)],'-k'),hold on;
plot        (steps_03(2),[(-1:.01:1)],'-k'),hold on;
plot        (steps_03(3),[(-1:.01:1)],'-k'),hold on;
plot        (steps_03(4),[(-1:.01:1)],'-k'),hold on;
plot        (steps_03(5),[(-1:.01:1)],'-k'),hold on;
plot        (steps_03(6),[(-1:.01:1)],'-k'),hold on;
plot        (steps_03(7),[(-1:.01:1)],'-k'),hold on;
plot        (steps_03(8),[(-1:.01:1)],'-k'),hold on;
plot        (steps_03(9),[(-1:.01:1)],'-k'),hold on;
plot        (steps_03(10),[(-1:.01:1)],'-k'),hold on;
plot        (steps_03(11),[(-1:.01:1)],'-k'),hold on;
plot        (steps_03(12),[(-1:.01:1)],'-k'),hold on;
plot        (steps_03(13),[(-1:.01:1)],'-k'),hold on;
plot        (steps_03(14),[(-1:.01:1)],'-k'),hold on;

legend      (['EMS 1_{main}'],['EMS 2_{main}'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Main flow velocity EMS [m/s]','fontsize',10);
title       ('Comp. 3');
print       time_EMS_main_comp3_3 -dpng;

%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

%plot        (time_03,EMS_vert_1_ave1_03,'-k','markerfacecolor','c'),hold on;
plot        (time_03,EMS_vert_2_ave1_03,'--r','markerfacecolor','c'),hold on;

plot        (steps_03(1),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_03(2),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_03(3),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_03(4),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_03(5),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_03(6),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_03(7),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_03(8),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_03(9),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_03(10),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_03(11),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_03(12),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_03(13),[(-0.1:.01:0.1)],'-k'),hold on;
plot        (steps_03(14),[(-0.1:.01:0.1)],'-k'),hold on;

legend      (['EMS 2_{vert}'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Vertical flow velocity EMS [m/s]','fontsize',10);
title       ('Comp. 3');
print       time_EMS_vert_comp3_3 -dpng;


