
%==========================================================================
% Composition 3
%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_03,rot_top_03,'-k')  ,hold on;
plot        (time_03,rot_bott_03,'--r'),hold on;
        
legend      (['Top lid'],['Bottom lid'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Rotational speed [rpm]','fontsize',10);
title       ('Comp. 3');
print       time_rotspeed_comp3_1 -dpng;

%==========================================================================
%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_03,pump1_03,'-k')  ,hold on;
plot        (time_03,pump2_03,'--r'),hold on;
        
legend      (['Pump 1'],['Pump 2'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Pump discharge [V]','fontsize',10);
title       ('Comp. 3');
print       time_pumpQ_comp3_1 -dpng;

%==========================================================================
%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_03,oslim1_03,'-k')  ,hold on;
plot        (time_03,oslim2_03,'--r'),hold on;
plot        (time_03,oslim3_03,'-.b'),hold on;
        
legend      (['Oslim 1'],['Oslim 2'],['Oslim 3'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Oslim output [V]','fontsize',10);
title       ('Comp. 3');
print       time_oslim_comp3_30_1 -dpng;

%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_03,oslim4_03,'-k')  ,hold on;
plot        (time_03,oslim6_03,'-.b'),hold on;
        
legend      (['Oslim 4'],['Oslim 6'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Oslim output [V]','fontsize',10);
title       ('Comp. 3');
print       time_oslim_comp3_2_1 -dpng;

%==========================================================================
%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_03,EMS_main_1_03,'-k')  ,hold on;
plot        (time_03,EMS_main_2_03,'--r')  ,hold on;
       
legend      (['EMS 1_{main}'],['EMS 2_{main}'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Main flow velocity EMS [V]','fontsize',10);
title       ('EMS main');
title       ('Comp. 3');
print       time_EMS_main_comp3_1 -dpng;

%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_03,EMS_vert_1_03,'-k'),hold on;
plot        (time_03,EMS_vert_2_03,'--r'),hold on;
        
legend      (['EMS 1_{vert}'],['EMS 2_{vert}'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('Vertical velocity EMS [V]','fontsize',10);
title       ('EMS vertical');
title       ('Comp. 3');
print       time_EMS_vert_comp3_1 -dpng;


