
%==========================================================================
% Bed shear stress
%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

plot        (time_01,bss_01,'-k','markerfacecolor','c'),hold on;
plot        (time_02,bss_02,'-r','markerfacecolor','c'),hold on;
plot        (time_03,bss_03,'-b' ,'markerfacecolor','c'),hold on;

legend      (['Comp. 1'],['Comp. 2'],['Comp. 3'],2);
xlabel      ('Time [s]','fontsize',10);
ylabel      ('\tau_{b} [Pa]','fontsize',10);
print       time_bss -dpng;

%==========================================================================

