
%==========================================================================
% Concentration + velocity as function of time
%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 14]);      

plot        (bss_01,oslim_mean_01b,'-b','linewidth',3),hold on;
plot        (bss_02,oslim_mean_02 ,'-g','linewidth',3),hold on;
plot        (bss_03,oslim_mean_03 ,'-r','linewidth',3),hold on;

legend      (['Test 3, comp 1: Sandy'],['Test 2, comp 2: Intermediate'],['Test 1, comp 3: Muddy'],2);
xlabel      ('\tau_{b} [Pa]','fontsize',10);
ylabel      ('Concentration [g/l]','fontsize',10);
title       ('Comp. 1');
print       bss_conc_1 -dpng;

%==========================================================================

