
%==========================================================================
% Concentration profiles in the vertical at different times
%==========================================================================

figure;
set         (gcf,'PaperUnits','centimeters','PaperOrientation','portrait',...
            'papertype','A4','paperposition',[0 0 10 7]);      

subplot(3,3,1);
%plot        (conc_prof1_02([1;3]),loc_oslim_1([1;3])*100,'--ob'),hold on;
title       ('Comp. 1, I');
subplot(3,3,2);
%plot        (conc_prof1_02(4:6)  ,loc_oslim_1*100       ,'--ob'),hold on;
title       ('II');
subplot(3,3,3);
%plot        (conc_prof1_02(7:9)  ,loc_oslim_1*100       ,'--ob'),hold on;
title       ('III');

subplot(3,3,4);
plot        (conc_prof1_02([1;3]),loc_oslim_1([1;3])*100,'--ob'),hold on;
ylabel      ('Height [cm]','fontsize',14);
title       ('Comp. 2');
subplot(3,3,5);
plot        (conc_prof1_02(4:6)  ,loc_oslim_1*100       ,'--ob'),hold on;
title       ('II');
subplot(3,3,6);
plot        (conc_prof1_02(7:9)  ,loc_oslim_1*100       ,'--ob'),hold on;
title       ('III');

subplot(3,3,7);
plot        (conc_prof1_03([1;3]),loc_oslim_1([1;3])*100,'--ob'),hold on;
title       ('Comp. 3');
subplot(3,3,8);
plot        (conc_prof1_03(4:6)  ,loc_oslim_1*100       ,'--ob'),hold on;
title       ('II');
xlabel      ('Concentration [g/l]','fontsize',14);
subplot(3,3,9);
plot        (conc_prof1_03(7:9)  ,loc_oslim_1*100       ,'--ob'),hold on;
title       ('III');

print       conc_height -dpng;


%plot        (time_prof_01(1),oslim_top_01(time_prof_01(1)-lag_01),'ok','markerfacecolor','k'),hold on;
%plot        (time_prof_01(2),oslim_top_01(time_prof_01(2)-lag_01),'ok','markerfacecolor','k'),hold on;
%plot        (time_prof_01(3),oslim_top_01(time_prof_01(3)-lag_01),'ok','markerfacecolor','k'),hold on;
%text        (time_prof_01(1)-200,oslim_top_01(time_prof_01(1)-lag_01)+1,'I'  ,'fontsize',14),hold on;
%text        (time_prof_01(2)-400,oslim_top_01(time_prof_01(2)-lag_01)+1,'II' ,'fontsize',14),hold on;
%text        (time_prof_01(3)-600,oslim_top_01(time_prof_01(3)-lag_01)+1,'III','fontsize',14),hold on;





